Bug 784983 - JON 3.01 RC#1 CLI's "version" command returns questionable results
JON 3.01 RC#1 CLI's "version" command returns questionable results
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
3.0.1,4.3
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.0.1
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-26 15:22 EST by Mike Foley
Modified: 2015-02-01 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-01-26 15:22:35 EST
Description of problem:  CLI's "version" command returns questionable results


Version-Release number of selected component (if applicable):  JON 3.01 RC#1


How reproducible:
100%


Steps to Reproduce:
1.  ./rhq-cli.sh -u rhqadmin -p rhqadmin
2.  type 'version'
3.
  
Actual results:

rhqadmin@localhost:7080$ version
Manifest-Version=1.0
Specification-Title=JBossWS
Specification-Version=3.1.1.GA <<<<<<<<<<<----------is this right for JON 3.01?
Created-By=Apache Maven
Java-Version=1.6.0_22
Java-Vendor=Sun Microsystems Inc.
Implementation-Title=RHQ - RHQ Enterprise Remote CLI  <<<---should this be JON?
Build-Number=5cde182
Specification-Vendor=org.jboss
Os-Name=Linux
Os-Arch=amd64
Archiver-Version=Plexus Archiver
Implementation-Version=4.2.0.JON.3.0.1.GA
Implementation-Vendor-Id=org.rhq
Build-Jdk=1.6.0_22
Implementation-Vendor=Red Hat, Inc.
Build-Time=01/24/12 12:02 AM GMT
Os-Version=2.6.18-274.17.1.el5
Maven-Version=2.2.1
Built-By=mockbuild
Comment 1 Mike Foley 2012-01-30 11:25:50 EST
12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos
Comment 2 Ian Springer 2012-01-31 16:10:33 EST
Fixed in master - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=43f016c
Comment 4 Simeon Pinder 2012-02-02 22:24:57 EST
Moving to ON_QA as there is a new binary 3.0.1.GA RC2 available here to test with:
https://brewweb.devel.redhat.com//buildinfo?buildID=197202
Comment 5 Mike Foley 2012-02-03 09:22:25 EST
[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -u rhqadmin -p rhqadmin
RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA
Remote server version is: 3.0.1.GA (b2cb23b:859b914)
Login successful
rhqadmin@localhost:7080$ version
4.2.0.JON.3.0.1.GA
Comment 7 Heiko W. Rupp 2013-09-03 11:15:57 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.